Copy an existing operation
curl --request POST \
--url https://api.bold-factory.com/v1/production/recipeVersions/{versionReference}/operations/{operationReference}/copy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destinationRecipeReference": "<string>",
"destinationVersionReference": "<string>",
"inputs": true,
"steps": true,
"conditions": true
}
'import requests
url = "https://api.bold-factory.com/v1/production/recipeVersions/{versionReference}/operations/{operationReference}/copy"
payload = {
"destinationRecipeReference": "<string>",
"destinationVersionReference": "<string>",
"inputs": True,
"steps": True,
"conditions": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destinationRecipeReference: '<string>',
destinationVersionReference: '<string>',
inputs: true,
steps: true,
conditions: true
})
};
fetch('https://api.bold-factory.com/v1/production/recipeVersions/{versionReference}/operations/{operationReference}/copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"recipeVersionId": "<string>",
"recipeVersion": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"recipeId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"status": "Active",
"name": "<string>",
"activeVersionId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"status": "Editable",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"name": "<string>",
"relativeAmount": 123,
"requiredEmployees": 123,
"positionX": 123,
"positionY": 123,
"numberOfSteps": 123,
"numberOfInputs": 123,
"restrictedBy": [
{
"id": "<string>",
"fromId": "<string>",
"from": null,
"toId": "<string>",
"to": null,
"type": "Full"
}
],
"requiredCharacteristicId": "<string>",
"typeId": "<string>",
"type": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"possibleWorkstations": 123,
"skillCount": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"requiredCharacteristic": {
"id": "<string>",
"name": "<string>",
"toolsCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"conditionFormula": "<string>"
}{
"type": "https://api.bold-factory.com/errors/COMMON.QUERY.FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/families/search",
"code": "COMMON.QUERY.FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.ENTITY.NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Family (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/families/pr_72f13bd8218h9823dfj9",
"code": "COMMON.ENTITY.NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/PLANNING.PURCHASE_ORDER.CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "PLANNING.PURCHASE_ORDER.CANNOT_MODIFY_CANCELLED_LINE"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Recipe Operations
Copy an existing operation
Copies the selected contents of one operation into an existing version of this or another recipe
Requires Production.Recipes.Write permissions
POST
/
v1
/
production
/
recipeVersions
/
{versionReference}
/
operations
/
{operationReference}
/
copy
Copy an existing operation
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
Respuesta
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I